<?php

namespace App\Models;

use App\helpers\apiRequest;

/**
 * @property int $notice_id
 * @property int $notice_type
 * @property string $raw_content
 * @property int $state
 * @property string $created_at
 * @property string $updated_at
 */
class Notice extends Base
{
    public static function deleteNotice(int|array $notice_d): bool
    {
        if (!is_array($notice_d)) {
            $notice_d = [$notice_d];
        }
        $ids = implode(',', $notice_d);
        $res = apiRequest::api('/Notic/doNotics', ['notice_ids' => $ids]);
        return $res['errCode'] == '0000';
    }
}
